%define majver %(echo %version | cut -d. -f1-2)

Name:          kcalutils
Version:       24.12.3
Release:       1mamba
Summary:       KDE Calentar utils library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        https://download.kde.org/%{stable_kde6}/release-service/%{version}/src/kcalutils-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Widgets
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kcalendarcore-devel
BuildRequires: libkf6-kcodecs-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kiconthemes-devel
BuildRequires: libkf6-ktexttemplate-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkidentitymanagement-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
KDE Calentar utils library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Calentar utils library

%description -n lib%{name}
KDE Calentar utils library.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n lib%{name} -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libKPim6CalendarUtils.so.*
%{_kf6_plugindir}/ktexttemplate/kcalendar_grantlee_plugin.so
%{_datadir}/qlogging-categories6/kcalutils.*categories
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/KPim6/KCalUtils
%{_includedir}/KPim6/KCalUtils/*
%dir %{_libdir}/cmake/KPim6CalendarUtils
%{_libdir}/cmake/KPim6CalendarUtils/KPim*.cmake
%{_libdir}/libKPim6CalendarUtils.so
%{_qt6_docdir}/KPim6CalendarUtils.*

%changelog
* Sun Mar 09 2025 Automatic Build System <autodist@openmamba.org> 24.12.3-1mamba
- automatic version update by autodist

* Sun Feb 09 2025 Automatic Build System <autodist@openmamba.org> 24.12.2-1mamba
- automatic version update by autodist

* Sat Jan 11 2025 Automatic Build System <autodist@openmamba.org> 24.12.1-1mamba
- automatic version update by autodist

* Sat Dec 14 2024 Automatic Build System <autodist@openmamba.org> 24.12.0-1mamba
- automatic version update by autodist

* Fri Nov 08 2024 Automatic Build System <autodist@openmamba.org> 24.08.3-1mamba
- automatic version update by autodist

* Fri Oct 11 2024 Automatic Build System <autodist@openmamba.org> 24.08.2-1mamba
- automatic version update by autodist

* Sat Sep 14 2024 Automatic Build System <autodist@openmamba.org> 24.08.1-1mamba
- automatic version update by autodist

* Sat Aug 24 2024 Automatic Build System <autodist@openmamba.org> 24.08.0-1mamba
- automatic version update by autodist

* Fri Jul 05 2024 Automatic Build System <autodist@openmamba.org> 24.05.2-1mamba
- automatic version update by autodist

* Sat Jun 15 2024 Automatic Build System <autodist@openmamba.org> 24.05.1-1mamba
- automatic version update by autodist

* Sat May 25 2024 Automatic Build System <autodist@openmamba.org> 24.05.0-1mamba
- automatic version update by autodist

* Wed May 22 2024 Automatic Build System <autodist@openmamba.org> 24.04.90-1mamba
- automatic version update by autodist

* Sun Apr 14 2024 Automatic Build System <autodist@openmamba.org> 24.02.2-1mamba
- automatic version update by autodist

* Sat Mar 23 2024 Automatic Build System <autodist@openmamba.org> 24.02.1-1mamba
- automatic version update by autodist

* Sat Mar 09 2024 Automatic Build System <autodist@openmamba.org> 24.02.0-1mamba
- automatic version update by autodist

* Sat Feb 17 2024 Automatic Build System <autodist@openmamba.org> 23.08.5-1mamba
- automatic version update by autodist

* Fri Dec 08 2023 Automatic Build System <autodist@mambasoft.it> 23.08.4-1mamba
- automatic version update by autodist

* Sat Nov 11 2023 Automatic Build System <autodist@mambasoft.it> 23.08.3-1mamba
- automatic version update by autodist

* Mon Oct 16 2023 Automatic Build System <autodist@mambasoft.it> 23.08.2-1mamba
- automatic version update by autodist

* Fri Sep 15 2023 Automatic Build System <autodist@mambasoft.it> 23.08.1-1mamba
- automatic version update by autodist

* Sun Aug 27 2023 Automatic Build System <autodist@mambasoft.it> 23.08.0-1mamba
- automatic version update by autodist

* Sun Jul 09 2023 Automatic Build System <autodist@mambasoft.it> 23.04.3-1mamba
- automatic version update by autodist

* Sat Jun 10 2023 Automatic Build System <autodist@mambasoft.it> 23.04.2-1mamba
- automatic version update by autodist

* Fri May 12 2023 Automatic Build System <autodist@mambasoft.it> 23.04.1-1mamba
- automatic version update by autodist

* Thu Apr 27 2023 Automatic Build System <autodist@mambasoft.it> 23.04.0-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 22.12.3-1mamba
- automatic version update by autodist

* Mon Feb 06 2023 Automatic Build System <autodist@mambasoft.it> 22.12.2-1mamba
- automatic version update by autodist

* Sat Jan 07 2023 Automatic Build System <autodist@mambasoft.it> 22.12.1-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 22.12.0-1mamba
- automatic version update by autodist

* Sat Nov 05 2022 Automatic Build System <autodist@mambasoft.it> 22.08.3-1mamba
- automatic version update by autodist

* Sun Oct 16 2022 Automatic Build System <autodist@mambasoft.it> 22.08.2-1mamba
- automatic version update by autodist

* Fri Sep 09 2022 Automatic Build System <autodist@mambasoft.it> 22.08.1-1mamba
- automatic version update by autodist

* Sun Aug 21 2022 Automatic Build System <autodist@mambasoft.it> 22.08.0-1mamba
- automatic version update by autodist

* Sat Jul 09 2022 Automatic Build System <autodist@mambasoft.it> 22.04.3-1mamba
- automatic version update by autodist

* Sat Jun 11 2022 Automatic Build System <autodist@mambasoft.it> 22.04.2-1mamba
- automatic version update by autodist

* Mon May 16 2022 Automatic Build System <autodist@mambasoft.it> 22.04.1-1mamba
- automatic version update by autodist

* Tue Apr 26 2022 Automatic Build System <autodist@mambasoft.it> 22.04.0-1mamba
- automatic version update by autodist

* Fri Mar 04 2022 Automatic Build System <autodist@mambasoft.it> 21.12.3-1mamba
- automatic version update by autodist

* Sat Feb 05 2022 Automatic Build System <autodist@mambasoft.it> 21.12.2-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Automatic Build System <autodist@mambasoft.it> 21.12.1-1mamba
- automatic version update by autodist

* Sun Dec 12 2021 Automatic Build System <autodist@mambasoft.it> 21.12.0-1mamba
- automatic version update by autodist

* Sat Nov 06 2021 Automatic Build System <autodist@mambasoft.it> 21.08.3-1mamba
- automatic version update by autodist

* Sun Oct 10 2021 Automatic Build System <autodist@mambasoft.it> 21.08.2-1mamba
- automatic version update by autodist

* Sat Sep 04 2021 Automatic Build System <autodist@mambasoft.it> 21.08.1-1mamba
- automatic version update by autodist

* Mon Aug 16 2021 Automatic Build System <autodist@mambasoft.it> 21.08.0-1mamba
- automatic version update by autodist

* Fri Jul 09 2021 Automatic Build System <autodist@mambasoft.it> 21.04.3-1mamba
- automatic version update by autodist

* Fri Jun 11 2021 Automatic Build System <autodist@mambasoft.it> 21.04.2-1mamba
- automatic version update by autodist

* Thu May 13 2021 Automatic Build System <autodist@mambasoft.it> 21.04.1-1mamba
- automatic version update by autodist

* Mon Apr 26 2021 Automatic Build System <autodist@mambasoft.it> 21.04.0-1mamba
- automatic version update by autodist

* Fri Mar 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.3-1mamba
- automatic version update by autodist

* Fri Feb 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.2-1mamba
- automatic version update by autodist

* Fri Jan 08 2021 Automatic Build System <autodist@mambasoft.it> 20.12.1-1mamba
- automatic version update by autodist

* Sun Dec 20 2020 Automatic Build System <autodist@mambasoft.it> 20.12.0-1mamba
- automatic version update by autodist

* Sat Nov 07 2020 Automatic Build System <autodist@mambasoft.it> 20.08.3-1mamba
- automatic version update by autodist

* Sat Oct 10 2020 Automatic Build System <autodist@mambasoft.it> 20.08.2-1mamba
- automatic version update by autodist

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 20.08.1-1mamba
- automatic version update by autodist

* Mon Aug 17 2020 Automatic Build System <autodist@mambasoft.it> 20.08.0-1mamba
- automatic version update by autodist

* Fri Jul 10 2020 Automatic Build System <autodist@mambasoft.it> 20.04.3-1mamba
- automatic version update by autodist

* Fri Jun 12 2020 Automatic Build System <autodist@mambasoft.it> 20.04.2-1mamba
- automatic version update by autodist

* Sat May 16 2020 Automatic Build System <autodist@mambasoft.it> 20.04.1-1mamba
- automatic version update by autodist

* Sun Apr 26 2020 Automatic Build System <autodist@mambasoft.it> 20.04.0-1mamba
- automatic version update by autodist

* Sat Mar 07 2020 Automatic Build System <autodist@mambasoft.it> 19.12.3-1mamba
- automatic version update by autodist

* Fri Feb 07 2020 Automatic Build System <autodist@mambasoft.it> 19.12.2-1mamba
- automatic version update by autodist

* Fri Jan 10 2020 Automatic Build System <autodist@mambasoft.it> 19.12.1-1mamba
- automatic version update by autodist

* Wed Jan 01 2020 Automatic Build System <autodist@mambasoft.it> 19.12.0-1mamba
- automatic version update by autodist

* Sat Nov 09 2019 Automatic Build System <autodist@mambasoft.it> 19.08.3-1mamba
- automatic version update by autodist

* Thu Oct 10 2019 Automatic Build System <autodist@mambasoft.it> 19.08.2-1mamba
- automatic version update by autodist

* Fri Sep 13 2019 Automatic Build System <autodist@mambasoft.it> 19.08.1-1mamba
- automatic version update by autodist

* Wed Sep 04 2019 Automatic Build System <autodist@mambasoft.it> 19.08.0-1mamba
- automatic version update by autodist

* Fri Jul 12 2019 Automatic Build System <autodist@mambasoft.it> 19.04.3-1mamba
- automatic version update by autodist

* Sat Jun 08 2019 Automatic Build System <autodist@mambasoft.it> 19.04.2-1mamba
- automatic version update by autodist

* Sun May 12 2019 Automatic Build System <autodist@mambasoft.it> 19.04.1-1mamba
- automatic version update by autodist

* Sat Apr 20 2019 Automatic Build System <autodist@mambasoft.it> 19.04.0-1mamba
- automatic version update by autodist

* Sat Mar 09 2019 Automatic Build System <autodist@mambasoft.it> 18.12.3-1mamba
- automatic version update by autodist

* Sun Feb 10 2019 Automatic Build System <autodist@mambasoft.it> 18.12.2-1mamba
- automatic version update by autodist

* Tue Jan 15 2019 Automatic Build System <autodist@mambasoft.it> 18.12.1-1mamba
- automatic version update by autodist

* Sat Dec 22 2018 Automatic Build System <autodist@mambasoft.it> 18.12.0-1mamba
- automatic version update by autodist

* Wed Nov 14 2018 Automatic Build System <autodist@mambasoft.it> 18.08.3-1mamba
- automatic version update by autodist

* Fri Oct 12 2018 Automatic Build System <autodist@mambasoft.it> 18.08.2-1mamba
- automatic version update by autodist

* Fri Sep 07 2018 Automatic Build System <autodist@mambasoft.it> 18.08.1-1mamba
- automatic version update by autodist

* Tue Aug 21 2018 Automatic Build System <autodist@mambasoft.it> 18.08.0-1mamba
- automatic version update by autodist

* Fri Jul 13 2018 Automatic Build System <autodist@mambasoft.it> 18.04.3-1mamba
- automatic version update by autodist

* Fri Jun 08 2018 Automatic Build System <autodist@mambasoft.it> 18.04.2-1mamba
- automatic version update by autodist

* Sun May 13 2018 Automatic Build System <autodist@mambasoft.it> 18.04.1-1mamba
- automatic version update by autodist

* Tue May 01 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Sat Mar 10 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Fri Jan 12 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Wed Jan 03 2018 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Sat Nov 11 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Sat Oct 21 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Sun Aug 27 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Sun Aug 06 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Sun Mar 12 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Tue Jan 17 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Wed Dec 28 2016 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Sun Nov 13 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Sat Oct 15 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Sat Sep 10 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Tue Aug 30 2016 Automatic Build System <autodist@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Tue Jul 12 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Thu May 05 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic version update by autodist

* Wed Mar 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.3-1mamba
- automatic version update by autodist

* Sat Feb 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.2-1mamba
- update to 15.12.2

* Sat Feb 06 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.1-1mamba
- package created using the webbuild interface
